Bug 107854 - UDCTs: leaving required field blank causes an error
Summary: UDCTs: leaving required field blank causes an error
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise CMS
Classification: Retired
Component: content types   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: ccm-bugs-list
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-10-23 20:00 UTC by Nuno Santos
Modified: 2013-09-12 22:08 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-05 17:41:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nuno Santos 2003-10-23 20:00:29 UTC
Description of problem:
When attempting to create a new item of an UDCT (for instance, based on
Article), leaving a required field blank will cause the following error on 6.0:

com.arsdigita.persistence.FlushException:  (root cause:
com.redhat.persistence.FlushException: Unable to send all events to database for
object [com.arsdigita.cms.contenttypes.NewType:{id=3066}] because these required
properties are null:
 [com.arsdigita.cms.contenttypes.NewType:{id=3066}].RequiredField)
	at
com.arsdigita.persistence.PersistenceException.newInstance(PersistenceException.java:134)
	at
com.arsdigita.persistence.PersistenceException.newInstance(PersistenceException.java:109)
	at com.arsdigita.persistence.DataObjectImpl.save(DataObjectImpl.java:397)


On 5.2, the error is slightly different:

com.arsdigita.persistence.PersistenceException: Error executing SQL: 
insert into cms_contenttypes_newtype(NewType_id,
                                     requiredfield)
values (?,
        ?)
Occurred while:
    Inserting information for [com.arsdigita.cms.contenttypes.NewType:{id=6025}]
(root cause: java.sql.SQLException: ORA-01400: cannot insert NULL into
("CMS52"."CMS_CONTENTTYPES_NEWTYPE"."REQUIREDFIELD")
)
	at
com.arsdigita.persistence.PersistenceException.newInstance(PersistenceException.java:128)
	at com.arsdigita.persistence.DataStore.fireOperation(DataStore.java:342)
	at com.arsdigita.persistence.DataStore.fireEvent(DataStore.java(Compiled Code))
	at com.arsdigita.persistence.DataStore.fireEvent(DataStore.java:100)
	at com.arsdigita.persistence.DataStore.doInsert(DataStore.java:701)
	at com.arsdigita.persistence.GenericDataObject.doInsert(GenericDataObject.java:801)
	at com.arsdigita.persistence.GenericDataObject.save(GenericDataObject.java:332)
	at com.arsdigita.domain.DomainObject.save(DomainObject.java:314)


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. create an UDCT based on Article, with a Text field that's required
(multiplicity: 1)
2. create an item of the UDCT created in step 1, leaving the required field blank

Actual Results:  Error (as described above)

Expected Results:  A message saying that the field is required

Comment 1 Jon Orris 2006-09-05 17:41:11 UTC
Closing old tickets





Note You need to log in before you can comment on or make changes to this bug.